/*
Breakpoints Atualizados seguindo a w3c

Tablets:
Breakpoint: min-width: 768px e max-width: 1024px

Laptops e Desktops:
Breakpoint: min-width: 1025px e max-width: 1440px

Desktops Grandes (4K e telas maiores):
Breakpoint: min-width: 1441px
*/
/*criado para tela de celular em especifico , caso tenha alguma configuração que n faça no geral*/
@media screen and (min-width:200px) and (max-width:420px){
        /* Para telas menores */
        #menu_normal {
            display: none;
        }
        #menu_hamburguer {
            margin-top: 20px;
            display: block;
        }
        /* Estilos para o menu hambúrguer quando ativado */
        .menu-aberto #menu_normal {
            display: flex;
            flex-direction: column;
            position: absolute;
            top: 70px;
            right: 0;
            background-color: #fff;
            width: 100%;
            box-shadow: 0px 4px 8px rgba(0, 0, 0, 0.1);
        }
    
    /* Links do menu no modo hambúrguer */
    .menu-aberto #menu_normal a {
        padding: 10px;
        border-top: 1px solid #f0f0f0;
    }
    header{
        padding-top: 80px;
        gap: 40px;
        align-items: center;
    }
    div h1{
        font-size: 1.7em;
    }
    .texto_header{
        width: 90vw;
    }
    .texto_header p{
        font-size: 0.8em;
        width: 100vw;
    }
    form{
        padding-right: 150px;
    }
    .doe_agora_header{
        padding: 20px;
        width: 170px;
        border-radius: 35px;
    }
    .botao_header{
        margin-bottom: 25px;
    }
    /*campanhas em destaque*/
    .a_doeagora {
        padding: 5px;
    }
    div#container_box{
        margin-bottom: 8vh;
    }
    .clientes{
        display: flex;
        flex-direction: column;
        gap: 50px;
    }
    .clientes_2{
        margin-top: 40px;
        display: flex;
        flex-direction: column;
        gap: 50px;
    }
    .clientes_2 img{
        display: none;
    }
    .clientes_3{
        margin-top: 40px;
        display: flex;
        flex-direction: column;
        gap: 50px;
    }
    .clientes_3 img{
        display: none;
    }
    .clientes_4{
        flex-direction: column;
        margin-top: 40px;
        display: flex;
        gap: 50px;
    }
    .clientes_4 img{
        display: none;
    }
    /*dados da plataforma*/
    .dados_container{
        flex-direction: column;
        align-items: center;
        
    }
    .dados_caixas{
        display: flex;
        flex-direction: column;
        width: 70%;
        padding: 0;
    }
    .dados{
        width: 100%;
        margin-bottom: 20px;
        margin: 0;
    }
    /*configuração só pra os links*/
    div#menu_sobre_nos a {
        width: 25vw;
    }
    /*dados da plataforma*/
    .dados_container{
        margin-top:0;
    }
    div.dados_texto h2{
        font-size: 2.0em;
        margin-left: 20px;
    }
    div.dados_texto p{
        font-size: 0.9em;
        width: 80vw;
        margin-left: 20px;
    }
    /*diferenciais*/
    .h2_diferencial{
        margin-top: 10vh;
        margin-bottom: 25px;
    }
    /*sobre nós*/
    div#container_sobre_nos {
        margin-top: 10vh;
    }

}
/*Telas celulares maiores*/
@media screen and (min-width:420px) and (max-width:767px){
    header{
        height: 600px;
    }
    h1{
        font-size: 3.1em;
    }
    /* Para telas menores */
    #menu_normal {
        display: none;
    }
    #menu_hamburguer {
        margin-top: 20px;
        display: block;
    }
    /* Estilos para o menu hambúrguer quando ativado */
    .menu-aberto #menu_normal {
        display: flex;
        flex-direction: column;
        position: absolute;
        top: 70px;
        right: 0;
        background-color: #fff;
        width: 100%;
        box-shadow: 0px 4px 8px rgba(0, 0, 0, 0.1);
    }

/* Links do menu no modo hambúrguer */
.menu-aberto #menu_normal a {
    padding: 10px;
    border-top: 1px solid #f0f0f0;
}
.botao_header{
    margin-bottom: 25px;
}
form{
    padding-left: 60px;
}
    div h1{
        margin-left: 40px;/*espaçamento lateral esquerdo*/
    }
    #p_header{ /*espaçamento na parte de baixo e lateral do p*/
        margin-left: 40px;
    }

    .box{
        height: 260px;
    }
    .campanhas_destaque h2{
        font-size: 1.9em;
    }
    /*tamanho do texto das caixas*/
    div.box p{
        font-size: 1.9em;
        font-weight: bold;
    }
    span#comida{
        font-size: 45px;
    }
    span#saude{
        font-size: 45px;
    }
    span#educacao{
        font-size: 45px;
    }
        /*sobre nós*/
    /*container principal que separa img e texto*/
    div#container_sobre_nos {
        flex-wrap: wrap;
    }
    div#menu_sobre_nos a {
        width: 120px;
    }
    div#sobre_nos {
        padding-left: 20px;
    }
    div#sobre_nos h2{
        font-size: 2.9em;
    }
    div#sobre_nos p{
        font-size: 1.2em;
        width: 80vw;
    }
    img#kids2{
        margin-top: 150px;
        width: 65vw;
        height: 280px;
        border-radius: 5px;
    }
    /*texto do sobre nós*/
    div#texto_sobre_nos p{
        width: 70vw;
        font-size: 1.4em;
    }
    /*texto do sobre nós*/
    div#titulo_texto_sobre h3{
        color: #F15B43;
        font-size: 1.6em;
    }
    /*Foto com frase motivacional*/
    section.frase_motivacional{
        height: 350px;
    }
    /*frase_motivacional*/
    section.frase_motivacional h2{
        font-size: 1.3em;
    }
    section.frase_motivacional p{
        font-size: 1.0em;
        text-align:center ;
    }
    /*Botão doe agora*/
     .botao-doe-agora {
        font-size: 12px; 
    }
    .clientes{
        display: flex;
        flex-direction: column;
        gap: 50px;
    }
    .clientes_2{
        margin-top: 40px;
        display: flex;
        flex-direction: column;
        gap: 50px;
    }
    .clientes_2 img{
        display: none;
    }
    .clientes_3{
        margin-top: 40px;
        display: flex;
        flex-direction: column;
        gap: 50px;
    }
    .clientes_3 img{
        display: none;
    }
    .clientes_4{
        flex-direction: column;
        margin-top: 40px;
        display: flex;
        gap: 50px;
    }
    .clientes_4 img{
        display: none;
    }
    .h2_clientes{
        font-size: 2.5em;
     }
    /*dados da plataforma*/
    .dados_container{
        flex-direction: column;
        align-items: center; 
    }
    .dados_container{
        margin-top: 0;
    }
    .dados_caixas{
        display: flex;
        flex-direction: column;
        width: 70%;
    }
    .dados{
        width: 100%;
        margin-bottom: 20px;
    }
    .dados_caixas h3{
        font-size: 1.7em;
    }
    /*dados da plataforma*/
    div.dados_texto h2{
        font-size: 2.5em;
    }
    div.dados_texto p{
        font-size: 1.2em;
        width: 70vw;
    }
    /* Estilo para os ícones na parte de dados */
    .dados i,
    .dados .material-symbols-outlined {
        font-size: 35px; 
    }
    .h2_diferencial{
        font-size: 2.3em;
    }
    /*titulo do diferenicial q esta na div*/
    .titulo_diferencial{
        font-size: 1.1em;
    }
    .fa-solid {
        font-size: 25px;
    }
    .fa-regular{
        font-size: 25px;
    }
    .carousel-slide img {
        width: 100%;
        height: 300px;
    }
}
/*Telas de Tablet: entre 768px e 1024px*/
@media screen and (min-width:768px) and (max-width:1024px){
    header{
        height: 650px;
    }
    h1{
        font-size: 3.3em;
    }
    nav a{
        font-size: 0.9em;
    }
    div h1{
        margin-left: 70px; 
    }
    /*botao doe agora header*/
    form{
        padding-left: 85px;
    }
    #p_header{
        margin-left: 70px;
    }
    .campanhas_destaque{
        margin-top: 8vh;
        margin-bottom: 8vh;
    }
    .campanhas_destaque h2{
        font-size: 2.6em;
    }

    #mao{
        font-size: 2.4em;
    }
    div#container_box{
        display: flex;
        flex-wrap: nowrap;
        gap: 0px;
        margin-bottom: 10vh;
    }
    .box {
        width: calc(33.33%);
        height: 305px; 
        transition: transform 0.3s ease;
    }
    .box:hover {
        transform: scale(1.05); 
    }
    /*campanhas em destaque*/
    .a_doeagora {
        padding: 8px;
    }
    /*tamanho do texto das caixas*/
    div.box p{
        font-size: 1.7em;
        font-weight: bold;
    }
    span#comida{
        font-size: 50px;
    }
    span#saude{
        font-size: 50px;
    }
    span#educacao{
        font-size: 50px;
    }
    /*sobre nós*/
    /*container principal que separa img e texto*/
    /*sobre nós*/
    div#container_sobre_nos {
        margin-top: 10vh;
    }
    div#menu_sobre_nos a {
        width: 15vw;
    }
    div#container_sobre_nos {
        flex-direction: column;
        align-items: center;
    }
    div#sobre_nos h2{
        font-size: 2.9em;
    }
    div#sobre_nos p{
        font-size: 1.2em;
        width: 50vw;
    }
    img#kids2{
        margin-top: 100px;
        width: 65vw;
        height: 360px;
        border-radius: 5px;
    }
    /*texto do sobre nós*/
    div#texto_sobre_nos p{
        width: 45vw;
        font-size: 1.3em;
    }
    /*texto do sobre nós*/
    div#titulo_texto_sobre h3{
        color: #F15B43;
        font-size: 1.8em;
    }
    /*diferencial*/
    .h2_diferencial{
        margin-top: 8vh;
    }
    /*Foto com frase motivacional*/
    section.frase_motivacional{
        height: 400px;
    }
    /*frase_motivacional*/
    section.frase_motivacional h2{
        font-size: 2.0em;
    }
    section.frase_motivacional p{
        font-size: 1.4em;
        text-align:center ;
    }
    .criar_campanhas button{
        padding: 12px;
        font-size: 1.0em;
        border-radius: 30px;
    }
    /*clientes*/
    .clientes{
        display: flex;
        gap: 70px;
    }
    .clientes img{
        width: 80px;
        height: 45px;
    }
    .clientes_2 img{
        width: 80px;
        height: 55px7
    }
    .clientes_2{
        display: flex;
        gap: 70px;
    }
    .clientes_3 img{
        width: 80px;
        height: 55px;
    }
    .clientes_3{
        display: flex;
        gap: 70px;
    }
    .clientes_4 img{
        width: 80px;
        height: 65px;
    }
    .clientes_4{
        display: flex;
        gap: 70px;
    }
    .h2_clientes{
        font-size: 2.4em;
     }
    /*dados da plataforma*/
    .dados_container{
        flex-direction: column;
        align-items: center;
    }
    .dados_caixas{
        display: flex;
        flex-direction: column;
        width: 70%;
    }
    .dados{
        width: 100%;
        margin-bottom: 20px;
    }
    .dados_caixas h3{
        font-size: 1.9em;
    }
    /*dados da plataforma*/
    div.dados_texto h2{
        font-size: 2.5em;
    }
    div.dados_texto p{
        font-size: 1.2em;
        width: 600px;
    }
    /* Estilo para os ícones na parte de dados */
    .dados i,
    .dados .material-symbols-outlined {
        font-size: 40px; 
    }
    .h2_diferencial{
        font-size: 2.6em;
    }
    /*titulo do diferenicial q esta na div*/
    .titulo_diferencial{
        font-size: 1.2em;
    }
    .fa-solid {
        font-size: 30px;
    }
    .fa-regular{
        font-size: 30px;
    }
    .carousel-slide img {
        width: 100%;
        height: 350px;
    }
    /* digitação */
    .digitando {
        display: inline-block;
        overflow: hidden;
        white-space: nowrap;
        animation: typing 4s steps(30, end) 1s forwards, blink-caret 0.2s step-end infinite; /* Mantive os 30 steps */
        animation-iteration-count: infinite;
        animation-delay: 1s;
        width: auto;
    }

    /* Animação de digitação */
    @keyframes typing {
        0% {
            width: 0;
        }
        100% {
            width: 100%;
        }
    }
}
/*Telas de desktop ou laptop: entre 1025px e 1440*/
@media screen and (min-width:1025px) and (max-width:1440px){
    header{
        height: 750px;
    }
    nav a{
        font-size: 1.0em;
    }
    h1{
        font-size: 3.9em;
    }
    div h1{
        margin-left: 100px;
    }
    /*botao doe agora header*/
    form{
        padding-left: 125px;
    }
    #p_header{
        margin-left: 100px;
    }
    .campanhas_destaque h2{
        font-size: 2.9em;
    }

    #mao{
        font-size: 2.7em;
    }
    div#container_box{
        display: flex;
        flex-wrap: nowrap;
        gap: 0px;
    }
    .box {
        width: calc(33.33%);
        height: 315px; 
        transition: transform 0.3s ease;
    }
    .box:hover {
        transform: scale(1.05); /* Aumenta a escala quando passar o mouse */
    }
    /*campanhas em destaque*/
    .a_doeagora {
        padding: 8px;
    }
    /*tamanho do texto das caixas*/
    div.box p{
        font-size: 1.9em;
        font-weight: bold;
    }
    a.a_doeagora{
        font-size: 1.2em;
    }
    span#comida{
        font-size: 50px;
    }
    span#saude{
        font-size: 50px;
    }
    span#educacao{
        font-size: 50px;
    }
    /*sobre nós*/
    div#container_sobre_nos {
        margin-top: 180px;
    }
    div#menu_sobre_nos a {
        width: 110px;
    }
    div#sobre_nos h2{
        font-size: 3.2em;
    }
    div#sobre_nos p{
        font-size: 1.1em;
        width: 40vw;
    }
    img#kids2{
        margin-top: 200px;
        width: 450px;
        height: 350px;
        border-radius: 5px;
    }
    
    /*texto do sobre nós*/
    div#titulo_texto_sobre h3{
        color: #F15B43;
        font-size: 2em;
    }
    /*Foto com frase motivacional*/
    section.frase_motivacional{
        height: 450px;
    }
    /*frase_motivacional*/
    section.frase_motivacional h2{
        font-size: 2.6em;
    }
    section.frase_motivacional p{
        font-size: 1.6em;
        text-align:center ;
    }
    .criar_campanhas button{
        padding: 12px;
        font-size: 1.2em;
        border-radius: 30px;
    }
    /*clientes*/
    .clientes{
        display: flex;
        gap: 70px;
    }
    .clientes img{
        width: 140px;
        height: 45px;
    }
    .clientes_2 img{
        width: 140px;
        height: 55px;
    }
    .clientes_2{
        display: flex;
        gap: 70px;
    }
    .clientes_3 img{
        width: 140px;
        height: 55px;
    }
    .clientes_3{
        display: flex;
        gap: 70px;
    }
    .clientes_4 img{
        width: 140px;
        height: 65px;
    }
    .clientes_4{
        display: flex;
        gap: 70px;
    }
    .h2_clientes{
        font-size: 2.5em;
     }
    /*dados da plataforma*/
    div.dados_texto h2{
        font-size: 2.5em;
    }
    div.dados_texto p{
        font-size: 1.2em;
    }
    /*container de dados*/
    .dados_caixas{
        gap: 40px;
    }
    .dados_caixas h3{
        font-size: 2.0em;
    }
    .dados_texto p{
        font-size: 1.3em;
        width: 500px;
    }
    /* Estilo para os ícones na parte de dados */
    .dados i,
    .dados .material-symbols-outlined {
        font-size: 30px; 
    }
    .h2_diferencial{
        font-size: 3.0em;
    }
    /*titulo do diferenicial q esta na div*/
    .titulo_diferencial{
        font-size: 1.3em;
    }
    .fa-solid {
        font-size: 35px;
    }
    .fa-regular{
        font-size: 35px;
    }
    .carousel-slide img {
        width: 100%;
        height: 370px;
    }
    /* digitação */
    .digitando {
        display: inline-block;
        overflow: hidden;
        white-space: nowrap;
        animation: typing 4s steps(30, end) 1s forwards, blink-caret 0.2s step-end infinite; /* Mantive os 30 steps */
        animation-iteration-count: infinite;
        animation-delay: 1s;
        width: auto;
    }

    /* Animação de digitação */
    @keyframes typing {
        0% {
            width: 0;
        }
        100% {
            width: 100%;
        }
    }
}
/*Telas grandes : acima de 1441px*/
@media screen and (min-width:1441px) {
    header{
        height: 850px;
    }
    nav a{
        font-size: 1.1em;
    }
    h1{
        font-size: 4.1em;
    }
    div h1{
        margin-left: 125px;
    }
    #p_header{
        margin-left: 125px;
        font-size: 1.2em;
    }
    /*botao doe agora header*/
    form{
        padding-left: 125px;
    }
    .campanhas_destaque h2{
        font-size: 3em;
    }

    #mao{
        font-size: 3em;
    }
    div#container_box{
        display: flex;
        flex-wrap: nowrap;
        gap: 0px;
    }
    .box {
        width: calc(33.33%);
        height: 390px; 
        transition: transform 0.3s ease;
        padding-bottom: 40px;
    }
    .box:hover {
        transform: scale(1.05); 
    }
    /*tamanho do texto das caixas*/
    div.box p{
        font-size: 2.4em;
        font-weight: bold;
    }
    a.a_doeagora{
        font-size: 1.3em;
    }
    span#comida{
        font-size: 64px;
    }
    span#saude{
        font-size: 64px;
    }
    span#educacao{
        font-size: 64px;
    }
    /*sobre nós*/
    div#menu_sobre_nos a {
        width: 120px;
    }
    div#sobre_nos h2{
        font-size: 3.5em;
    }
    div#sobre_nos p{
        font-size: 1.1em;
        width: 30vw;
    }
    img#kids2{
        margin-top: 290px;
        width: 540px;
        height: 460px;
        border-radius: 5px;
    }
    /*texto do sobre nós*/
    div#titulo_texto_sobre h3{
        color: #F15B43;
        font-size: 2em;
    }
    div#texto_sobre_nos p{
        width: 550px;
        font-size: 1.5em;
        color: rgba(128, 128, 128, 0.774);
    }
    section.frase_motivacional{
        height: 500px;
    }
    section.frase_motivacional h2{
        font-size: 2.8em;
    }
    section.frase_motivacional p{
        font-size: 1.6em;
        text-align:center ;
    }
    .criar_campanhas button{
        padding: 12px;
        font-size: 1.4em;
        border-radius: 30px;
    }
    /*clientes*/
    .clientes{
        display: flex;
        gap: 100px;
    }
    .clientes img{
        width: 170px;
        height: 50px;
    }
    .clientes_2 img{
        width: 170px;
        height: 55px;
    }
    .clientes_2{
        display: flex;
        gap: 100px;
    }
    .clientes_3 img{
        width: 170px;
        height: 55px;
    }
    .clientes_3{
        display: flex;
        gap: 100px;
    }
    .clientes_4 img{
        width: 170px;
        height: 65px;
    }
    .clientes_4{
        display: flex;
        gap: 100px;
    }
    .h2_clientes{
       font-size: 2.8em;
    }
    /*dados da plataforma*/
    div.dados_texto h2{
        font-size: 2.7em;
    }
    .dados_texto p{
        font-size: 1.3em;
        width: 600px;
    }
    .dados_caixas h3{
        font-size: 2.3em;
    }
    /*container de dados*/
    .dados_caixas{
        gap: 70px;
    }
    /* Estilo para os ícones na parte de dados */
    .dados i,
    .dados .material-symbols-outlined {
        font-size: 40px; 
        
    }
    /*titulo principal Nossos diferenciais*/
    .h2_diferencial{
        font-size: 3.5em;
    }
    
    /*titulo do diferenicial q esta na div*/
    .titulo_diferencial{
        font-size: 1.5em;
    }
    .fa-solid {
        font-size: 40px;
    }
    .fa-regular{
        font-size: 40px;
    }
    .carousel-slide img {
        width: 100%;
        height: 400px;
    }
    /* digitação */
    .digitando {
        display: inline-block;
        overflow: hidden;
        white-space: nowrap;
        animation: typing 4s steps(30, end) 1s forwards, blink-caret 0.2s step-end infinite; /* Mantive os 30 steps */
        animation-iteration-count: infinite;
        animation-delay: 1s;
        width: auto;
    }

    /* Animação de digitação */
    @keyframes typing {
        0% {
            width: 0;
        }
        100% {
            width: 100%;
        }
    }

}

